#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	meson
Version		:	1.1.1
Release		:	14.4.0.0%{?dist}
summary		:	High productivity build system
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	http://mesonbuild.com/
			#https://github.com/mesonbuild/meson/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build

%if %{with test}
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-tomli
%endif

BuildArch	:	noarch

Requires	:	python3
#-----------------------------------------------------------------------------
%description
Meson is a build system designed to optimize programmer
productivity. It aims to do this by providing simple, out-of-the-box
support for modern software development tools and practices, such as
unit tests, coverage reports, Valgrind, CCache and the like.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}build/cmake/*.py
%{python3_sitelib}/%{name}build/cmake/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/cmake/data/*.py
%{python3_sitelib}/%{name}build/cmake/data/preload.cmake
%{python3_sitelib}/%{name}build/cmake/data/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/*.py
%{python3_sitelib}/%{name}build/ast/*.py
%{python3_sitelib}/%{name}build/ast/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/dependencies/*.py
%{python3_sitelib}/%{name}build/dependencies/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/dependencies/data/CMake*.txt
%{python3_sitelib}/%{name}build/dependencies/data/*.py
%{python3_sitelib}/%{name}build/dependencies/data/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/backend/*.py
%{python3_sitelib}/%{name}build/backend/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/compilers/*.py
%{python3_sitelib}/%{name}build/compilers/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/compilers/mixins/*.py
%{python3_sitelib}/%{name}build/compilers/mixins/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/interpreter/*.py
%{python3_sitelib}/%{name}build/interpreter/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/interpreter/primitives/*.py
%{python3_sitelib}/%{name}build/interpreter/primitives/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/interpreterbase/*.py
%{python3_sitelib}/%{name}build/interpreterbase/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/linkers/*.py
%{python3_sitelib}/%{name}build/linkers/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/modules/*.py
%{python3_sitelib}/%{name}build/scripts/cmd_or_ps.ps1
%{python3_sitelib}/%{name}build/scripts/*.py
%{python3_sitelib}/%{name}build/scripts/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/templates/*.py
%{python3_sitelib}/%{name}build/templates/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/utils/*.py
%{python3_sitelib}/%{name}build/utils/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/wrap/*.py
%{python3_sitelib}/%{name}build/wrap/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/__pycache__/*.pyc
%{python3_sitelib}/%{name}build/modules/__pycache__/*.pyc
%{python3_sitelib}/%{name}-%{version}.dist-info/
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/man1/*.1.gz
%{_datadir}/polkit-1/actions/*.policy

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
# Remove Boost tests for now, because it requires Python 2
rm -rf "test cases/frameworks/1 boost"
# Remove MPI tests for now because it is complicated to run
rm -rf "test cases/frameworks/17 mpi"
export MESON_PRINT_TEST_OUTPUT=1
%{__python} ./run_tests.py
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

install -vDm644						\
	data/shell-completions/bash/%{name}		\
	%{buildroot}%{_datadir}/bash-completion/completions/%{name}

install -vDm644						\
	data/shell-completions/zsh/_%{name}		\
	%{buildroot}%{_datadir}/zsh/site-functions/_%{name}

#-----------------------------------------------------------------------------
%changelog
